Bug 210657 - Totem controls out of sync
Totem controls out of sync
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-13 12:04 EDT by Michal Babej
Modified: 2013-07-31 19:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:57:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the problem. (1.19 MB, image/png)
2006-10-13 12:04 EDT, Michal Babej
no flags Details
totem-gst-eos-when-seeking-past-end.patch (1.38 KB, patch)
2007-01-26 13:02 EST, Bastien Nocera
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 210315 None None None Never

  None (edit)
Description Michal Babej 2006-10-13 12:04:13 EDT
Description of problem:
Totem's Play/Pause button and "Playing/Paused" text label sometimes miss the
actual state of the movie. ( they are in "playing" state but the time is stopped
at 0:00 because the movie is actually paused )

Version-Release number of selected component (if applicable):
totem-2.16.1-1.fc6

How reproducible:
seldom

Steps to Reproduce:
not sure, discovered this when playing with Play/Pause, Next & Previous buttons.
However, i'm almost sure this happens when one press Play/Pause immediately
after pressing Next or Previous.
  
update:
i've somehow managed to crash totem while playing around with the movie
controls. will investigate more on this soon.
Comment 1 Michal Babej 2006-10-13 12:04:16 EDT
Created attachment 138445 [details]
Screenshot of the problem.
Comment 2 Michal Babej 2006-10-25 10:58:28 EDT
just discovered that its easily reproducible (the crash and/or the out-of-sync).

Steps:
1. load a bunch of movies into Totem
2. press play
3. repeat pressing Next + Pause quickly
4. eeeeew crash :)

added a reference to #210315 might be related

Yo, and it's present in Mayhem
Comment 3 Bastien Nocera 2006-10-27 05:55:40 EDT
Tim believes it's fixed in 2.16.2, by this commit.

2006-09-28  Tim-Philipp Müller  <tim at centricular dot net>

        * src/totem-statusbar.c: (totem_statusbar_set_text):
          Restore playing/stopped text in statusbar properly
          if has changed while we were buffering (#341233).
Comment 4 Alexander Larsson 2006-11-28 10:01:51 EST
Thats out as an update. Does 2.16.3 fix it?
Comment 5 Michal Babej 2006-12-08 08:51:28 EST
No it does not fix it.

I have been playing with 5 short ogg movies (length < 1 minute). The problem
occures almost always this way:
1. play the movie (several seconds are enough)
2. press next. as the movie is < 1 minute, the progress bar jumps to the end,
then back, and waits several seconds before it jumps to the next movie.
3. in the moment before it jumps to the next movie (during that wait), press pause.
4. the result is, next movie is displayed, it's playback is paused, but the
controls say "playing".

Does not occur always, only if you're "lucky" to press pause in the "right" moment.
Comment 6 Bastien Nocera 2007-01-16 06:11:59 EST
(In reply to comment #5)
> No it does not fix it.
> 
> I have been playing with 5 short ogg movies (length < 1 minute). The problem
> occures almost always this way:
> 1. play the movie (several seconds are enough)
> 2. press next. as the movie is < 1 minute, the progress bar jumps to the end,
> then back, and waits several seconds before it jumps to the next movie.

Why would "press next" have anything to do with the movie being < 1 minute in
length? Are you pressing the "Next track" button, or the right arrow, which
would mean seek "1 minute forward"?
Comment 7 Michal Babej 2007-01-17 13:48:33 EST
Sorry for being inaccurate, it's was the "seek 1 minute forward" button.
Comment 8 Bastien Nocera 2007-01-26 13:02:48 EST
Created attachment 146696 [details]
totem-gst-eos-when-seeking-past-end.patch

This is the patch committed to the stable branch, it will also be in the next
release of the rawhide Totem (2.17.90).
Comment 9 Bastien Nocera 2007-01-29 11:50:49 EST
Could you please test with 2.17.90 in rawhide?
Comment 10 Bug Zapper 2008-04-03 14:29:27 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 11 Bug Zapper 2008-05-06 20:57:00 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.